<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:include href="style.xsl"/>
  <xsl:include href="service-params.xsl"/>

  <xsl:output method="html"/>  

  <xsl:template name="pageHead">
    <head>
      <title><xsl:call-template name="text"><xsl:with-param name="key">nzdl</xsl:with-param></xsl:call-template></title>
    </head>
  </xsl:template>

  <xsl:template match="pageResponse">
    <xsl:variable name="clusterName"><xsl:value-of select="ancestor::page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
    <center>
      <xsl:call-template name="clusterPageBanner">
	<xsl:with-param name="clusterName" select="$clusterName"/>
      </xsl:call-template>
      <xsl:apply-templates select="service">
	<xsl:with-param name="clusterName" select="$clusterName"/>
      </xsl:apply-templates>
      <xsl:apply-templates select="status">
	<xsl:with-param name="clusterName" select="$clusterName"/>
      </xsl:apply-templates>
    </center>
  </xsl:template>

  <xsl:template match="service">
    <xsl:param name="clusterName">cluster-name</xsl:param>
    <xsl:variable name='library' select='ancestor::page/config/library_name'/>
    <xsl:variable name='subaction' select="ancestor::page/pageRequest/@subaction"/>
    <xsl:variable name='action' select="ancestor::page/pageRequest/@action"/>
    <xsl:variable name='lang' select="ancestor::page/pageRequest/@lang"/>
    <h3><xsl:value-of select="display/name"/></h3><p/>
    <form name="BuildForm" method="get" action="/gsdl3/{$library}">
      <xsl:apply-templates select="paramList"/>
      <input type="hidden" name="a" value="{$action}"/>
      <input type="hidden" name="c" value="{$clusterName}"/>
      <input type="hidden" name="sa" value="p"/>
      <input type="hidden" name='l' value='{$lang}'/>
      <input type="hidden" name="s" value="{@name}"/>
      <input type="hidden" name="rt" value="r"/>
      <input type="submit"><xsl:attribute name="value"><xsl:value-of select='display/submit'/></xsl:attribute></input>
    </form>
    <xsl:call-template name="greenBar"/>
  </xsl:template>
  

<xsl:template match="paramList">
<p/><table width="537">
<xsl:for-each select="param">
<xsl:choose>
<xsl:when test="@type='multi'">
<tr><td colspan='2'>
<xsl:apply-templates select='.'/></td></tr>
</xsl:when>
<xsl:otherwise>
<xsl:variable name="pname" select="@name"/>
<tr valign="top"><td><xsl:value-of select='ancestor::service/display/param[@name=$pname]/name'/></td><td align="right"><xsl:apply-templates select="."/></td></tr>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</table>
</xsl:template>

<xsl:template match="status">
<xsl:param name="clusterName">cluster-name</xsl:param>
<center/>
<applet code="org.greenstone.gsdl3.build.StatusDisplay.class" codebase='lib/java' archive='gsdl3.jar, xercesImpl.jar, jaxp.jar, xml-apis.jar' width='537' height='100'>The status display applet.<param name='library'><xsl:attribute name="value"><xsl:value-of select='ancestor::page/config/library_name'/>?a=pr&amp;rt=s&amp;c=<xsl:value-of select='$clusterName'/>&amp;s=<xsl:value-of select='ancestor::page/pageResponse/service/@name'/>&amp;o=xml&amp;ro=1&amp;l=<xsl:value-of select='ancestor::page/pageRequest/@lang'/>&amp;pid=<xsl:value-of select="@pid"/><xsl:apply-templates select="ancestor::page/pageResponse/service/paramList" mode="cgi"/></xsl:attribute></param><param name='initial_text'><xsl:attribute name="value"><xsl:value-of  select="status"/></xsl:attribute></param><param name='initial_code'><xsl:attribute name="value"><xsl:value-of  select="@code"/></xsl:attribute></param></applet>
<xsl:call-template name="greenBar"/>
</xsl:template>

<!-- puts all the params into a=p&p=h type form - need to change this if use 
  multi params in a process type service -->
<xsl:template match="paramList" mode="cgi">
<xsl:for-each select="param">&amp;<xsl:value-of select="@shortname"/>=<xsl:value-of select="@default"/></xsl:for-each>
</xsl:template>

</xsl:stylesheet>  

